@echo off

rem P1=Time1 (in Sec)
rem P2=Time2 (in Sec)
rem P3=NameUebergabeVariable

set /a diff$temp=%2-%1
set /a std$temp=%diff$temp%/3600
set /a min$temp=%diff$temp%/60-%std$temp%*60
set /a sec$temp=%diff$temp%-%std$temp%*3600-%min$temp%*60
set %3=%std$temp%:%min$temp%:%sec$temp%
if not "%4"=="" set %4=%diff$temp%

set diff$temp=
set std$temp=
set min$temp=
set sec$temp=

GOTO :eof
